ALTER LANGUAGE(7)

NAME
ALTER_LANGUAGE - change the definition of a procedural language

SYNOPSIS

ALTER [ PROCEDURAL ] LANGUAGE name RENAME TO new_name
ALTER [ PROCEDURAL ] LANGUAGE name OWNER TO { new_owner | CURRENT_ROLE | CURRENT_USER | SESSION_USER }

DESCRIPTION

ALTER LANGUAGE changes the definition of a procedural language. The only functionality is to rename the language or assign a new owner. You must be superuser or owner of the language to use ALTER LANGUAGE.

PARAMETERS

name
    Name of a language

new_name
    The new name of the language

new_owner
    The new owner of the language

COMPATIBILITY

There is no ALTER LANGUAGE statement in the SQL standard.

SEE ALSO
CREATE LANGUAGE (CREATE_LANGUAGE(7)), DROP LANGUAGE (DROP_LANGUAGE(7))